Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor
Interface ISchedulingRuleProvider

All Known Implementing Classes:
  TextFileDocumentProvider.DocumentProviderOperation

    public interface ISchedulingRuleProvider

A scheduling rule provider provides a scheduling rule which can be used when running operations.

Since:
  3.0

Method Summary
`ISchedulingRule` `getSchedulingRule()` Returns the scheduling rule.

Method Detail

### getSchedulingRule

    ISchedulingRule getSchedulingRule()

  Returns the scheduling rule.

  Returns:
    a scheduling rule or `null` if none

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.